Subject: Matlab freezing when disconnecting x2go session

From: "Lattanzi, Riccardo" <[email-masked]>
Date: Mon, 28 Oct 2019 22:05:07 +0000

Package: x2goserver
Version: 4.1.2.1
Server: Ubuntu 18.04.2
Client: Mac OS 10.13.6

I am using x2go to access a Linux server on which I run Matlab. I run simulations that can last over a week so I need to be able to continuously run Matlab.
When I disconnect the x2go session, after few minutes Matlab hibernates, meaning that it freezes, and then would starts again from where it left as soon as I reconnect the x2go session.
So nothing is lost and nothing crashes, but this behavior prevents me to run programs overnight, which is critical for my work.

Matlab normally hibernates when a computer goes to sleep mode, but should not when am x2go session is disconnected (my server is prevented from going into sleep mode, so it is truly a problem of the x2go connection). In fact, Matlab runs on the server, so it shouldn’t even care if I close x2go client. VPN does not have a similar problem, but I cannot use it on my server. I think this is a serious bug, unless there is a solution or workaround, which I currently do not see.

Please let me know, thanks!

Riccardo